# HG changeset patch
# Node ID 2d5f8dc3f23b
# Parent  853b74b4a222
diff --git a/pidgin/resources/Dialogs/addbuddy.ui b/pidgin/resources/Dialogs/addbuddy.ui
--- a/pidgin/resources/Dialogs/addbuddy.ui
+++ b/pidgin/resources/Dialogs/addbuddy.ui
@@ -33,7 +33,6 @@
     <property name="child-model">account_filter_connected</property>
   </object>
   <template class="PidginAddBuddyDialog" parent="GtkDialog">
-    <property name="border-width">12</property>
     <property name="title" translatable="1">Add Buddy</property>
     <property name="resizable">0</property>
     <signal name="response" handler="pidgin_add_buddy_dialog_response_cb" swapped="no"/>
@@ -42,132 +41,139 @@
         <property name="orientation">vertical</property>
         <property name="spacing">12</property>
         <child>
+          <object class="GtkLabel">
+            <property name="label" translatable="1">Add a buddy.</property>
+            <property name="xalign">0</property>
+            <property name="yalign">0</property>
+          </object>
+        </child>
+        <child>
+          <object class="GtkLabel" id="spacer"/>
+        </child>
+        <child>
           <object class="GtkBox">
-            <property name="orientation">vertical</property>
-            <property name="spacing">12</property>
+            <property name="spacing">5</property>
+            <child>
+              <object class="GtkLabel" id="label1">
+                <property name="label" translatable="1">A_ccount:</property>
+                <property name="use-underline">1</property>
+                <property name="mnemonic-widget">account</property>
+                <property name="xalign">0</property>
+                <property name="yalign">0</property>
+              </object>
+            </child>
             <child>
-              <object class="GtkLabel">
-                <property name="label" translatable="1">Add a buddy.</property>
+              <object class="PidginAccountChooser" id="account">
+                <property name="hexpand">1</property>
+                <property name="halign">fill</property>
+                <property name="model">filter</property>
+                <signal name="changed" handler="pidgin_add_buddy_dialog_account_changed_cb" object="PidginAddBuddyDialog" swapped="no"/>
+                <accessibility>
+                  <relation name="labelled-by">label1</relation>
+                </accessibility>
+              </object>
+            </child>
+          </object>
+        </child>
+        <child>
+          <object class="GtkBox">
+            <property name="spacing">5</property>
+            <child>
+              <object class="GtkLabel" id="label2">
+                <property name="label" translatable="1">Buddy&apos;s _username:</property>
+                <property name="use-underline">1</property>
+                <property name="mnemonic-widget">username</property>
                 <property name="xalign">0</property>
                 <property name="yalign">0</property>
               </object>
             </child>
             <child>
-              <object class="GtkLabel" id="spacer"/>
-            </child>
-            <child>
-              <object class="GtkBox">
-                <property name="spacing">5</property>
-                <child>
-                  <object class="GtkLabel" id="label1">
-                    <property name="label" translatable="1">A_ccount:</property>
-                    <property name="use-underline">1</property>
-                    <property name="mnemonic-widget">account</property>
-                    <property name="xalign">0</property>
-                    <property name="yalign">0</property>
-                  </object>
-                </child>
-                <child>
-                  <object class="PidginAccountChooser" id="account">
-                    <property name="hexpand">1</property>
-                    <property name="halign">fill</property>
-                    <property name="model">filter</property>
-                    <signal name="changed" handler="pidgin_add_buddy_dialog_account_changed_cb" object="PidginAddBuddyDialog" swapped="no"/>
-                  </object>
-                </child>
+              <object class="GtkEntry" id="username">
+                <property name="hexpand">1</property>
+                <property name="halign">fill</property>
+                <property name="focusable">1</property>
+                <property name="activates-default">1</property>
+                <signal name="changed" handler="pidgin_add_buddy_dialog_username_changed_cb" object="PidginAddBuddyDialog" swapped="no"/>
+                <accessibility>
+                  <relation name="labelled-by">label2</relation>
+                </accessibility>
               </object>
             </child>
+          </object>
+        </child>
+        <child>
+          <object class="GtkBox">
+            <property name="spacing">5</property>
             <child>
-              <object class="GtkBox">
-                <property name="spacing">5</property>
-                <child>
-                  <object class="GtkLabel" id="label2">
-                    <property name="label" translatable="1">Buddy&apos;s _username:</property>
-                    <property name="use-underline">1</property>
-                    <property name="mnemonic-widget">username</property>
-                    <property name="xalign">0</property>
-                    <property name="yalign">0</property>
-                  </object>
-                </child>
-                <child>
-                  <object class="GtkEntry" id="username">
-                    <property name="hexpand">1</property>
-                    <property name="halign">fill</property>
-                    <property name="focusable">1</property>
-                    <property name="has-focus">1</property>
-                    <property name="can-default">1</property>
-                    <property name="activates-default">1</property>
-                    <signal name="changed" handler="pidgin_add_buddy_dialog_username_changed_cb" object="PidginAddBuddyDialog" swapped="no"/>
-                  </object>
-                </child>
+              <object class="GtkLabel" id="label3">
+                <property name="label" translatable="1">(Optional) A_lias:</property>
+                <property name="use-underline">1</property>
+                <property name="mnemonic-widget">alias</property>
+                <property name="xalign">0</property>
+                <property name="yalign">0</property>
               </object>
             </child>
             <child>
-              <object class="GtkBox">
-                <property name="spacing">5</property>
-                <child>
-                  <object class="GtkLabel" id="label3">
-                    <property name="label" translatable="1">(Optional) A_lias:</property>
-                    <property name="use-underline">1</property>
-                    <property name="mnemonic-widget">alias</property>
-                    <property name="xalign">0</property>
-                    <property name="yalign">0</property>
-                  </object>
-                </child>
-                <child>
-                  <object class="GtkEntry" id="alias">
-                    <property name="hexpand">1</property>
-                    <property name="halign">fill</property>
-                    <property name="focusable">1</property>
-                  </object>
-                </child>
+              <object class="GtkEntry" id="alias">
+                <property name="hexpand">1</property>
+                <property name="halign">fill</property>
+                <property name="focusable">1</property>
+                <accessibility>
+                  <relation name="labelled-by">label3</relation>
+                </accessibility>
+              </object>
+            </child>
+          </object>
+        </child>
+        <child>
+          <object class="GtkBox">
+            <property name="spacing">5</property>
+            <child>
+              <object class="GtkLabel" id="label4">
+                <property name="label" translatable="1">(Optional) _Invite message:</property>
+                <property name="use-underline">1</property>
+                <property name="mnemonic-widget">message</property>
+                <property name="xalign">0</property>
+                <property name="yalign">0</property>
               </object>
             </child>
             <child>
-              <object class="GtkBox">
-                <property name="spacing">5</property>
-                <child>
-                  <object class="GtkLabel" id="label4">
-                    <property name="label" translatable="1">(Optional) _Invite message:</property>
-                    <property name="use-underline">1</property>
-                    <property name="mnemonic-widget">message</property>
-                    <property name="xalign">0</property>
-                    <property name="yalign">0</property>
-                  </object>
-                </child>
-                <child>
-                  <object class="GtkEntry" id="message">
-                    <property name="hexpand">1</property>
-                    <property name="halign">fill</property>
-                    <property name="sensitive">0</property>
-                    <property name="focusable">1</property>
-                  </object>
-                </child>
+              <object class="GtkEntry" id="message">
+                <property name="hexpand">1</property>
+                <property name="halign">fill</property>
+                <property name="sensitive">0</property>
+                <property name="focusable">1</property>
+                <accessibility>
+                  <relation name="labelled-by">label4</relation>
+                </accessibility>
+              </object>
+            </child>
+          </object>
+        </child>
+        <child>
+          <object class="GtkBox">
+            <property name="spacing">5</property>
+            <child>
+              <object class="GtkLabel" id="label5">
+                <property name="label" translatable="1">Add buddy to _group:</property>
+                <property name="use-underline">1</property>
+                <property name="xalign">0</property>
+                <property name="yalign">0</property>
               </object>
             </child>
             <child>
-              <object class="GtkBox">
-                <property name="spacing">5</property>
-                <child>
-                  <object class="GtkLabel" id="label5">
-                    <property name="label" translatable="1">Add buddy to _group:</property>
-                    <property name="use-underline">1</property>
-                    <property name="xalign">0</property>
-                    <property name="yalign">0</property>
+              <object class="GtkComboBoxText" id="group">
+                <property name="hexpand">1</property>
+                <property name="halign">fill</property>
+                <property name="has-entry">1</property>
+                <property name="child">
+                  <object class="GtkEntry">
+                    <property name="focusable">1</property>
                   </object>
-                </child>
-                <child>
-                  <object class="GtkComboBoxText" id="group">
-                    <property name="hexpand">1</property>
-                    <property name="halign">fill</property>
-                    <property name="has-entry">1</property>
-                    <property name="child">
-                      <object class="GtkEntry">
-                        <property name="focusable">1</property>
-                      </object>
-                    </property>
-                  </object>
-                </child>
+                </property>
+                <accessibility>
+                  <relation name="labelled-by">label5</relation>
+                </accessibility>
               </object>
             </child>
           </object>
@@ -178,31 +184,21 @@
       <action-widget response="-6">button1</action-widget>
       <action-widget response="-5">button2</action-widget>
     </action-widgets>
-    <child internal-child="action_area">
-      <object class="GtkBox">
-        <property name="halign">end</property>
-        <child>
-          <object class="GtkButton" id="button1">
-            <property name="label" translatable="1">_Cancel</property>
-            <property name="focusable">1</property>
-            <property name="receives-default">1</property>
-            <property name="use-underline">1</property>
-            <property name="vexpand">1</property>
-            <property name="vfill">fill</property>
-          </object>
-        </child>
-        <child>
-          <object class="GtkButton" id="button2">
-            <property name="label" translatable="1">_Add</property>
-            <property name="sensitive">0</property>
-            <property name="focusable">1</property>
-            <property name="can-default">1</property>
-            <property name="receives-default">1</property>
-            <property name="use-underline">1</property>
-            <property name="vexpand">1</property>
-            <property name="vfill">fill</property>
-          </object>
-        </child>
+    <child type="action">
+      <object class="GtkButton" id="button1">
+        <property name="label" translatable="1">_Cancel</property>
+        <property name="focusable">1</property>
+        <property name="receives-default">1</property>
+        <property name="use-underline">1</property>
+      </object>
+    </child>
+    <child type="action">
+      <object class="GtkButton" id="button2">
+        <property name="label" translatable="1">_Add</property>
+        <property name="sensitive">0</property>
+        <property name="focusable">1</property>
+        <property name="receives-default">1</property>
+        <property name="use-underline">1</property>
       </object>
     </child>
   </template>
